DH_COMPUTEAUTOSUBSTVARS(1)

NAME
dh_gencontrol - generate and install control file

SYNOPSIS
dh_computeautosubstvars [debhelper options] [-- params]

DESCRIPTION
dh_computeautosubstvars is a debhelper program that is responsible for computing substvars relevant to most packages. It needs to be run before dh_gencontrol but after all the content has been added into the package staging directory (debian/package/).

Note that this command generally assumes compat 14 or later where dh_gencontrol will apply relationship substvars automatically. It can be used in older compat levels but the substvars will not be used automatically in that case.

OPTIONS
This helper only accepts standard debhelper options. Please refer to debhelper(7) for these.

SEE ALSO
debhelper(7)

This program is a part of debhelper.